Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class JboMultiCaster

    java.lang.Object
      |
      +--oracle.jbo.server.JboMultiCaster

public class JboMultiCaster
extends java.lang.Object
implements JboEventListener

Implements the chaining of event listeners in the event system.

Each instance of this class contains an event listener and a pointer to the next instance. Sets of listeners are implemented as linked lists.

This class is used by the JDeveloper wizards to implement event publishing logic.

Since:
  JDeveloper 3.0

Field Summary
`protected JboEventListener` | `a`
`protected JboEventListener` | `b`

Constructor Summary
`protected` | `JboMultiCaster(JboEventListener a, JboEventListener b)` A new instance of this class can only be constructed by this class itself.

Method Summary
`static JboEventListener` | `add(JboEventListener a, JboEventListener b)` Adds a listener to the end of a list of listeners.
`protected static JboEventListener` | `addInternal(JboEventListener a, JboEventListener b)`
`void` | `JboEvent(JboEventObject e)` Transmits an event to all the listeners in this list.
`protected JboEventListener` | `remove(JboEventListener oldl)`
`static JboEventListener` | `remove(JboEventListener l, JboEventListener oldl)` Remove a listener from a list of listeners.
`protected static JboEventListener` | `removeInternal(JboEventListener a, JboEventListener b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    protected JboEventListener a

### b

    protected JboEventListener b

Constructor Detail

### JboMultiCaster

    protected JboMultiCaster(JboEventListener a,
                             JboEventListener b)

  A new instance of this class can only be constructed by this class itself.

Method Detail

### add

    public static JboEventListener add(JboEventListener a,
                                       JboEventListener b)

  Adds a listener to the end of a list of listeners.
  Parameters:
    `a` - a listener or a list of listeners.
    `b` - a listener.
  Returns:
    a new list of listeners consisting of `b` appended to the end of `a`.

### remove

    public static JboEventListener remove(JboEventListener l,
                                          JboEventListener oldl)

  Remove a listener from a list of listeners.
  Parameters:
    `l` - a listener or list of listeners.
    `a` - the listener to be removed.
  Returns:
    a a copy of `l` with `a` excised, or `l` itself if `a` is not found, or `null` if the resulting list is empty.

### JboEvent

    public void JboEvent(JboEventObject e)

  Transmits an event to all the listeners in this list.
  Specified by:
    JboEvent in interface JboEventListener
  Parameters:
    `e` - the event to be transmitted.

### addInternal

    protected static JboEventListener addInternal(JboEventListener a,
                                                  JboEventListener b)

### removeInternal

    protected static JboEventListener removeInternal(JboEventListener a,
                                                     JboEventListener b)

### remove

    protected JboEventListener remove(JboEventListener oldl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD